Package org.lwjgl.opengl

# Class AMDStencilOperationExtended

java.lang.Object
org.lwjgl.opengl.AMDStencilOperationExtended

public final class AMDStencilOperationExtended extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_REPLACE_VALUE_AMD`
Accepted by the <sfail>, <dpfail> and <dppass> parameters of StencilOp and StencilOpSeparate:
`static final int`
`GL_SET_AMD`
Accepted by the <sfail>, <dpfail> and <dppass> parameters of StencilOp and StencilOpSeparate:
`static final int`
`GL_STENCIL_BACK_OP_VALUE_AMD`
Accepted by the <param> parameter of GetIntegerv, GetFloatv, GetBooleanv GetDoublev and GetInteger64v:
`static final int`
`GL_STENCIL_OP_VALUE_AMD`
Accepted by the <param> parameter of GetIntegerv, GetFloatv, GetBooleanv GetDoublev and GetInteger64v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glStencilOpValueAMD(int face, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SET_AMD

public static final int GL_SET_AMD
Accepted by the <sfail>, <dpfail> and <dppass> parameters of StencilOp and StencilOpSeparate:

See Also:
  - Constant Field Values

### GL_REPLACE_VALUE_AMD

public static final int GL_REPLACE_VALUE_AMD
Accepted by the <sfail>, <dpfail> and <dppass> parameters of StencilOp and StencilOpSeparate:

See Also:
  - Constant Field Values

### GL_STENCIL_OP_VALUE_AMD

public static final int GL_STENCIL_OP_VALUE_AMD
Accepted by the <param> parameter of GetIntegerv, GetFloatv, GetBooleanv GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_OP_VALUE_AMD

public static final int GL_STENCIL_BACK_OP_VALUE_AMD
Accepted by the <param> parameter of GetIntegerv, GetFloatv, GetBooleanv GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

## Method Details

### glStencilOpValueAMD

public static void glStencilOpValueAMD(int face, int value)